<?php
#    IRM - The Information Resource Manager
#    Copyright (C) 1999,2000 Yann Ramin
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License (in file COPYING) for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
################################################################################

include("../include/irm.inc");
require_once 'lib/Config.php';
require_once 'include/i18n.php';

AuthCheck("tech");
$DB = Config::Database();
$qID = $DB->getTextValue($ID);
$query = "SELECT device_on,device_type FROM networking_ports WHERE (ID = $qID)";
$result = $DB->getRow($query);
$back = $result["device_on"];
$back_t = $result["device_type"];

$query = "DELETE FROM networking_ports WHERE (ID = $qID)";
$DB->query($query);
$query = "DELETE FROM networking_wire WHERE (end1 = $qID OR end2 = $qID)";
$DB->query($query);

logevent($back, _("networking"), 4, "port", sprintf(_("%s removed port %s"),$IRMName,$ID));

if ($back_t == 1) {
	header("Location: ".Config::AbsLoc("users/computers-info.php?ID=$back"));
} else {
	header("Location: ".Config::AbsLoc("users/networking-info.php?ID=$back"));
}
